Upload assets to search index

Upload PDF files directly to a search index. Files will be processed and indexed for search.

POST
/objects/search-index/{searchIndexId}/upload
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

searchIndexIdstring

Search Index ID

advancedOcr?boolean

Enable advanced OCR

filestring

PDF files to upload. Maximum 10 files, 25MB each.

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/objects/search-index/string/upload" \  -F file="string"
[
  {
    "asset": {
      "appId": "string",
      "createdAt": "string",
      "description": "string",
      "downloadUrl": "string",
      "fileSize": 0,
      "id": "string",
      "isFolder": true,
      "isSystem": true,
      "mimeType": "string",
      "name": "string",
      "organizationId": "string",
      "ownerId": "string",
      "parentId": "string",
      "spaceId": "string",
      "status": null,
      "updatedAt": "string"
    },
    "assetId": "string",
    "chunkedContent": {
      "documents": [
        {
          "content": "string",
          "id": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "pageNumber": 0
        }
      ]
    },
    "collectionId": "string",
    "createdAt": "string",
    "id": "string",
    "indexingEndedAt": "string",
    "indexingStartedAt": "string",
    "metadata": {
      "job_id": "string",
      "summary": "string",
      "title": "string"
    },
    "nChunks": 0,
    "post": {
      "authorId": "string",
      "children": [
        {
          "authorId": "string",
          "children": [],
          "collections": [
            {
              "color": "string",
              "createdAt": "string",
              "description": "string",
              "id": "string",
              "spaceId": "string",
              "title": "string",
              "updatedAt": "string"
            }
          ],
          "content": "string",
          "createdAt": "string",
          "id": "string",
          "organizationId": "string",
          "parentId": "string",
          "spaceId": "string",
          "title": "string",
          "updatedAt": "string"
        }
      ],
      "collections": [
        {
          "color": "string",
          "createdAt": "string",
          "description": "string",
          "id": "string",
          "spaceId": "string",
          "title": "string",
          "updatedAt": "string"
        }
      ],
      "content": "string",
      "createdAt": "string",
      "id": "string",
      "organizationId": "string",
      "parentId": "string",
      "spaceId": "string",
      "title": "string",
      "updatedAt": "string"
    },
    "postId": "string",
    "rawContent": {
      "documents": [
        {
          "content": "string",
          "id": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "pageNumber": 0
        }
      ]
    },
    "searchIndexId": "string",
    "source": null,
    "status": null,
    "updatedAt": "string"
  }
]
[
  {
    "asset": {
      "appId": "string",
      "createdAt": "string",
      "description": "string",
      "downloadUrl": "string",
      "fileSize": 0,
      "id": "string",
      "isFolder": true,
      "isSystem": true,
      "mimeType": "string",
      "name": "string",
      "organizationId": "string",
      "ownerId": "string",
      "parentId": "string",
      "spaceId": "string",
      "status": null,
      "updatedAt": "string"
    },
    "assetId": "string",
    "chunkedContent": {
      "documents": [
        {
          "content": "string",
          "id": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "pageNumber": 0
        }
      ]
    },
    "collectionId": "string",
    "createdAt": "string",
    "id": "string",
    "indexingEndedAt": "string",
    "indexingStartedAt": "string",
    "metadata": {
      "job_id": "string",
      "summary": "string",
      "title": "string"
    },
    "nChunks": 0,
    "post": {
      "authorId": "string",
      "children": [
        {
          "authorId": "string",
          "children": [],
          "collections": [
            {
              "color": "string",
              "createdAt": "string",
              "description": "string",
              "id": "string",
              "spaceId": "string",
              "title": "string",
              "updatedAt": "string"
            }
          ],
          "content": "string",
          "createdAt": "string",
          "id": "string",
          "organizationId": "string",
          "parentId": "string",
          "spaceId": "string",
          "title": "string",
          "updatedAt": "string"
        }
      ],
      "collections": [
        {
          "color": "string",
          "createdAt": "string",
          "description": "string",
          "id": "string",
          "spaceId": "string",
          "title": "string",
          "updatedAt": "string"
        }
      ],
      "content": "string",
      "createdAt": "string",
      "id": "string",
      "organizationId": "string",
      "parentId": "string",
      "spaceId": "string",
      "title": "string",
      "updatedAt": "string"
    },
    "postId": "string",
    "rawContent": {
      "documents": [
        {
          "content": "string",
          "id": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "pageNumber": 0
        }
      ]
    },
    "searchIndexId": "string",
    "source": null,
    "status": null,
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}